Subject: Re: [PATCH v6 2/2] refs.c: SSE4.2 optimizations for check_refname_component

From: David Turner <[email-masked]>
Date: Thu, 05 Jun 2014 15:27:20 -0400

On Wed, 2014-06-04 at 14:46 -0700, Junio C Hamano wrote:
> David Turner <[email-masked]> writes:
> 
> > On Wed, 2014-06-04 at 10:04 +0200, Torsten Bögershausen wrote:
> > [snip discussion of compiler flags; I'll look into a cpuid approach]
> 
> Hmmmm, I am not sure if the complexity is really worth it.
> 
> In any case, [PATCH 1/2] is fairly uncontroversial, so I am inclined
> to queue it by itself early without waiting for the discussion on
> 2/2 to settle.
> 
> >> The name check_refname_component_1() doesn't tell too much,
> >> (check_refname_component_sse42()  or check_refname_component_nonsse42() say more)
> >
> > I'll go with "_bytewise", since that's how it works.
> 
> That naming assumes that there will never be any alternative
> implementation of the bytewise checker other than the one that uses
> sse42, no?

check_refname_component_1 is the non-sse (LUT) one; I assume that there
will only be one implementation of that (and if there's later another
one we can rename it).  I guess this is strong evidence for _1 being a
bad name.